
Redmine - Defect #4700

Adding news does not send notification to all project members

2010-01-31 10:04 - Kamil .

Status: Closed Start date: 2010-01-31

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.3.0   

Resolution: Fixed Affected version:  

Description

I have read this: http://www.redmine.org/wiki/redmine/FAQ#Email-notifications-are-not-working and test e-mail is being sent properly.

Notification is also sent when I add a new issue but not when I add a news.

Of course I have set the option "News added" in "Administration -> Settings -> Email notifications"

kind regards

Related issues:

Related to Redmine - Feature #4532: Ability to send e-mail notification to ev... Closed 2010-01-07

Related to Redmine - Feature #2549: Enable the watching of news Closed 2009-01-20

Has duplicate Redmine - Defect #9495: weird email notification behaviour Closed 2011-10-30

Has duplicate Redmine - Feature #10791: Broadcast news to project members Closed

Has duplicate Redmine - Defect #14825: News: email notification to users Closed

Associated revisions

Revision 11271 - 2013-01-26 19:07 - Jean-Philippe Lang

Always notify project members about news unless they turned off all notifications (#4700).

History

#1 - 2010-02-17 10:58 - Kamil .

I have noticed that:

When an user has set the property "Email notifications" in his/her account to:

"For any event on all my projects" 

The notification e-mail about news is sent but when the property is set to

"Only for things I watch or I'm involved in" 

User does not receive e-mails about news.

I think that it is a huge disproportion between receiving e-mails about ALL events and only events about tasks that are assigned to the particular user.

What about "send me info about things i watch, I'm involved in" and separate choice of sending info about:

news

new forum messages

wiki edits

?

What do you think?

Kind regards

#2 - 2010-02-23 11:26 - Tomasz Mechliński

+1

#3 - 2010-02-23 11:29 - Krzysztof Kowalczyk

+1

Good to have better control over e-mail notifications.
#4 - 2010-03-25 08:46 - Evgeny Pavlov

+1

User doesn't receive an email notification when news is being created.

#5 - 2010-03-25 12:50 - Aleksandra Wozniak

+1

#6 - 2010-03-31 12:29 - Adam Hepner

+1

#7 - 2010-07-14 14:41 - Martin Luder

+1

#8 - 2010-07-14 16:32 - minkbear minkbear

+1

#9 - 2010-07-14 16:41 - Nicholas Kulikov

+1

#10 - 2010-07-14 21:22 - Andrzej Kojder

+1

#11 - 2010-07-15 11:31 - Nikolay Kotlyarov

+1

#12 - 2010-07-16 23:36 - amber herold

+1

#13 - 2010-07-30 09:18 - Jack T

+1. Definitely would like the ability to have watch-list feature for news updates similar to issue tracker.

#14 - 2010-09-09 00:47 - Bruno Medeiros

It's really annoying, since there's no way to watch news.

So, to receive news by email you need to receive email for everything in the project, and it makes no sense at all.

We need to notify all project members by default, and possibly have a separated option on notification config page.

There's a suggestion of how to do that here:

http://www.redmine.org/boards/2/topics/10744#message-15485

#15 - 2010-09-09 01:02 - Bruno Medeiros

Sorry for double post, but there's also a discussion on #2549 about this.

#16 - 2010-10-04 15:09 - Sebastian M.

+1 This is really annoying.

#17 - 2010-10-05 09:04 - Nicholas Kulikov

Agree. +1

#18 - 2011-01-27 07:04 - Craig Chandler

+1, would also like the same for file uploads

#19 - 2011-03-18 08:17 - Anton Nepomnyaschih

+1. I think, news is such thing, that every project member must read it ;)

#20 - 2011-03-18 09:44 - Etienne Massip

- Category set to News
#21 - 2011-09-06 11:44 - Pierluigi Soana

+1 News may not be hidden, otherwise there is no news!

#22 - 2011-09-08 10:19 - Michael Diederich

+1 sigh

#23 - 2011-11-05 14:37 - Anonymous

As a temp workaround I've set up an isolated issue named "ANNOUNCEMENTS"

add watchers to this issue

when ever you need to announce, add a note to this issue with a link to a news item , wiki change etc...

At least I can control who gets announcements for the time being.

#24 - 2012-01-25 11:45 - Brian Kjelin Olsen

+1

I think that "Only for things I watch or I'm involved in" should include news. The news can be shown at My page, but I rarely see that page. It's the

same with the Overview page for each project - it's rarely that anybody see that page.

#25 - 2012-02-19 15:44 - Assaf Lavie

I found a patch for this, but warning: I'm a complete Ruby noob and have spent less than 15 minutes understanding the Redmine source

code.

Ok, so after this disclaimer here's what I did (and someone please correct this if it's a terrible idea):

In project.rb I've added:

def all_member_emails

  members.{|m| m.user.mail}

end 

 And inside the news_added function in mailer.rb I've changed the following line:

recipients news.recipients

 into:

recipients news.project.all_member_emails

 This seems to solve the problem. I just couldn't find the recipients field in the news model, so it just sends the email to everyone in the project.

#26 - 2012-02-26 13:27 - Andriy Lesyuk

Implemented what you want in my Subscription plugin: http://projects.andriylesyuk.com/projects/subscription

Can't say it's stable... Need testing! It would be cool if you could help (you can just subscribe)...

P.S. Non members can subscribe too (if allowed)...

#27 - 2012-02-26 20:02 - Terence Mill

+ for core feature

#28 - 2012-06-10 18:08 - Ladislav Nesnera

+ for core feature

#29 - 2012-07-31 01:31 - Mikołaj Milej

+1

Is there any quick fix for version 2.0.3?

edit ----

code bellow works

def all_member_emails

   members.collect {|m| m.user.mail}

 end
#30 - 2013-01-20 13:32 - Filou Centrinov

+1 That is I am searching for.

#31 - 2013-01-22 18:02 - Scott Roland

Just an update to Assaf Lavie's patch from above. http://www.redmine.org/issues/4700#note-25

Worked for me with Redmine 2.1.4:

diff -rU1 app.orig/models/mailer.rb app/models/mailer.rb

--- app.orig/models/mailer.rb    2012-11-24 10:51:25.000000000 +0100

+++ app/models/mailer.rb    2013-01-22 17:23:41.311774000 +0100

@@ -146,3 +146,3 @@

     @news_url = url_for(:controller => 'news', :action => 'show', :id => news)

-    mail :to => news.recipients,

+    mail :to => news.project.all_member_emails,

       :subject => "[#{news.project.name}] #{l(:label_news)}: #{news.title}" 

@@ -163,3 +163,3 @@

     @news_url = url_for(:controller => 'news', :action => 'show', :id => news)

-    mail :to => news.recipients,

+    mail :to => news.project.all_member_emails,

      :cc => news.watcher_recipients,

diff -rU1 app.orig/models/project.rb app/models/project.rb

--- app.orig/models/project.rb    2012-11-24 10:51:25.000000000 +0100

+++ app/models/project.rb    2013-01-22 17:34:54.100322000 +0100

@@ -477,2 +477,7 @@

+  # List of emails for all members of a project

+  def all_member_emails

+    members.collect {|m| m.user.mail}

+  end 

+

   # Returns an array of all custom fields enabled for project issues

#32 - 2013-01-25 16:25 - billy chou

+1

#33 - 2013-01-26 19:29 - Jean-Philippe Lang

- Subject changed from Adding news do not send notification to Adding news do not send notification to all project members

- Category changed from News to Email notifications

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.0

- Resolution set to Fixed

Fixed in r11271. Project members are now always notified about news, unless they have turned off notifications.

#34 - 2013-01-26 22:57 - Mischa The Evil

- Subject changed from Adding news do not send notification to all project members to Adding news does not send notification to all project members

#35 - 2013-02-24 10:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#36 - 2015-12-25 01:25 - Go MAEDA

- Has duplicate Feature #10791: Broadcast news to project members added

#37 - 2016-05-07 09:15 - Toshi MARUYAMA

- Related to Feature #2549: Enable the watching of news added

#38 - 2017-01-14 02:57 - Go MAEDA

- Has duplicate Defect #14825: News: email notification to users  added
